### Hierarchy

- PackageService

## Index

### Constructors

- constructor

### Properties

- eventStoreAdapter
- packageManager
- readModel
- readModelAdapter
- relic

### Methods

- deletePackage
- getReadModel
- publishPackage
- requireLatestReadModel

## Constructors

### constructor

- new PackageService(relic: Relic, packageManager: PackageManager, eventStoreAdapter: EventStoreAdapter, readModelAdapter: IReadModelAdapter): PackageService

- - Defined in PackageService/PackageService.ts:19

  #### Parameters

  - ##### relic: Relic

  - ##### packageManager: PackageManager

  - ##### eventStoreAdapter: EventStoreAdapter

  - ##### readModelAdapter: IReadModelAdapter

  #### Returns PackageService

## Properties

### eventStoreAdapter

eventStoreAdapter: EventStoreAdapter

- Defined in PackageService/PackageService.ts:24

### packageManager

packageManager: PackageManager

- Defined in PackageService/PackageService.ts:23

### readModel

readModel: ReadModel

- Defined in PackageService/PackageService.ts:19

### readModelAdapter

readModelAdapter: IReadModelAdapter

- Defined in PackageService/PackageService.ts:25

### relic

relic: Relic

- Defined in PackageService/PackageService.ts:22

## Methods

### deletePackage

- deletePackage(multihash: string, fromAddress: string): Promise<IFSA>

- - Defined in PackageService/PackageService.ts:74

  #### Parameters

  - ##### multihash: string

  - ##### fromAddress: string

  #### Returns Promise<IFSA>

### getReadModel

- getReadModel(): Promise<ReadModel>

- - Defined in PackageService/PackageService.ts:102

  #### Returns Promise<ReadModel>

### publishPackage

- publishPackage(multihash: string, name: string, fromAddress: string): Promise<IFSA>

- - Defined in PackageService/PackageService.ts:41

  #### Parameters

  - ##### multihash: string

  - ##### name: string

  - ##### fromAddress: string

  #### Returns Promise<IFSA>

### requireLatestReadModel

- requireLatestReadModel(): Promise<void>

- - Defined in PackageService/PackageService.ts:31

  #### Returns Promise<void>

Generated using TypeDoc